Subject: Re: programs which support FITS

From: "Dumbo" <dumbo at hotmail.com>
Date: Wed, 18 Aug 1999 21:49:36 -0700

William Pence <pence at tetra.gsfc.nasa.gov> wrote in message
news:37A081BE.48C66C94 at tetra.gsfc.nasa.gov...
> Bob Denny wrote [to Bill Cotton]:
> >
> > I just wanted to thank you for FITSView! There's a lot of great
technology
> > hidden behind its modest user interface. I am just about to release some
> > amateur/educational software that generates and uses WCS, and I have
used
> > your program tons of times myself and for demonstrations to show why
> > everyone should be using WCS. Your histogram EQ is virtually perfect for
> > eyeball work without having to adjust the B and C controls.
> >
> > The port of fv from the FITS Tools is abysmal as far as its user
interface
> > goes. It won't even fit on an 800x600 screen, and the controls are
> > unbelievably baroque. Just try blinking images :-) Plus it has to
install a
> > monster load of emulation junk just for that one program.
> >
>
> Bob,
>
> Sorry you didn't have a good first impression of fv.  First, make sure
that
> you are using the latest 2.5 version that was released in May 1999; it
sounds
> like you may have an old version.
>
> Fv is designed to view and edit any FITS file, possibly containing
multiple
> tables and/or images, so the user interface has many menus and options.
> There is a short tutorial/user's guide available from the fv web site that
> explains how to use many of the features for new users.
>
> As for fitting on an 800x600 screen, you can select a default image window
> ranging from 300x300 to 700x700 pixels in size, which should suit any
screen
> resolution.  Regardless of the default size, you can interactively resize
the
> images by dragging a corner with the mouse.
>
> Blinking of 2 images can be done very quickly and easily: open and display
> both images (they initially appear side by side on the display canvas),
click
> on the 'merge graphs' option to combine both images in the same graph,
then
> click on 'blink images' to start the blinking.  You can blink any number
of
> images at one time (not just 2), and the position registration of the
images
> is determined by the WCS information, so the images do not need to have
the
> same size or scale.  You can also pan and zoom within the images while the
> blinking is in progress.
>
> Other useful image display features in fv are:
>
>   - draws a grid of RA and DEC lines over the image
>   - contour plots can be generated and combined with other
>     images (e.g., draw optical contours on top of a radio image)
>   - brightness/contrast and panning/zooming are interactively
>     adjustable by dragging the mouse over the image
>   - 20 different color mappings, and 3 different intensity scaling
>     options (linear, log, or square root) are provided.
>
> Histogram equalization is not currently provided, but that is high on the
list
> of enhancements for the next release.
>
> Finally, the installation of fv is intended to be easy and quick.  The
windows
> .zip file is only 2.6MB in size.  Fv is written in native Tcl/Tk code, so
it
> is not an emulation.
>
> So, we hope you will give fv another try. It is available from the fv web
site
> at:
>
> http://legacy.gsfc.nasa.gov/ftools/fv/
>
> We can also send a version on CDROM to Linux PC users.  Any questions,
> problems, or suggestions about fv should be sent to:
>
> ftoolshelp at athena.gsfc.nasa.gov
>
> regards,
> Bill Pence
> (for the ftools group)

Fv was the only viewer that let me look at the spectra stored at the ADC.

Bizzarely however after I tried unsuccessfuly using the fv with the full
Ftool install it wouldnt work. It just kept on giving invalid Fit file
errors every time I tried to view them. Frustrated I uninstalled it and some
days later and tried the lite fv download on its own. Voila, it worked.

Not sure why the lite download would work where the full one didnt but I
assume its down to an IUI error (Insufficient User Intelligence).

Anyways now I am happily looking at my spectra so the point is moot ;)
Thanks for a great (and free) product.

_dumbo

---

From: William Pence <pence at tetra.gsfc.nasa.gov>
Date: Thu, 19 Aug 1999 11:28:37 -0400

This difference is probably explained by the fact that the stand-alone version
of fv available from

is a later version than the one that was distributed with the ftools software
release.  This later version has more features and has fixed a few bugs.  Also,
this is not a 'lite' version in the sense that it has all the features, and much
more, than in the ftools release version.

-Bill Pence